\paper {
    indent = 3.0\cm  % space for instrumentName
    short-indent = 1.5\cm  % space for shortInstrumentName
    print-all-headers = ##t
    bookTitleMarkup = ##f
}

global = {
    \set Score.markFormatter = #format-mark-box-letters
    \key a \major
    \time 4/4
    \tempo "Molto largo, tempo rubato" 4 = 35
    s1*4 | % top (4+): a g# g f# f e f g; piano solo
    \time 2/4
    s2 | %       (+1) glue
    \time 4/4
    \tempo "Largo" 4 = 45
    \mark \default
    s1*4 | % A (4): a g# g f# f e f g; hi strings+piano
    \mark \default
    s1*4 | % B (4): a g# g f# f e f g; piano solo, more assertive
    \mark \default
    s1*4 | % C (4): a g# g f# f e f g; b-part, strings+piano
    \mark \default
    s1*4 | % D (4): a g# g f# f e f g; whistle countermelody solo+piano
    \mark \default
    s1*2 | % E (2+): a g# g f#; rephrases...
    \key a \minor
    s1*2 | %   (+2)  f e  f e; modulates
    \key ees \major
    s1 | %     (+1)  f ab
    \key c \major
    \time 2/4
    s2 | %     (+1)  biiiiig swell
    \time 4/4
    \mark \default
    s1*4 | % F (4+): c  b  bb a ab g ab g; hey why doesn't this resolve
    \tempo "Più lento" 4 = 40
    s1*4 | %   (+4)  ab ab g  c g  f g; oh there we go
    \tempo "Rallentando al fine"
    \mark \default
    s1*3 \bar "|." % G (3): c b bb a ab ab c; the end
}

whistleMusic = \relative c'' {
    \clef treble
    R1*4 | R2 |

    % A-C
    R1*11 | \cueDuring #"pianoRH" #UP { R1 } |

    % D
    r4 cis8( d e2) | cis4( d8 e a,4) a8( b |
    d a f d' cis4) a8( b | e d e a g2) |

    % E
    r4 cis,8( fis e2) | g4( fis8 d a4~ a16) d( e a |
    #(define afterGraceFraction (cons 15 16))
    \afterGrace d2 { c16[ b] } \afterGrace a2) { \breathe e16[( a] } |
    \afterGrace d2 { e16[ d] } #(define afterGraceFraction (cons 31 32))
        \afterGrace a4 a16 g4) |
    c8( d ees g, bes4 c | d2) |

    % F-G
    e2~ e8 r8 r4 | R1*9 | r1\fermata |
}

timpaniMusic = \relative c {
    \clef bass
    R1*4 | R2 |

    % A-E
    R1*21 |
    r8 \repeat tremolo 4 { g32(\pp\<^\markup { \italic trem. } }
        \repeat tremolo 8 { g } |

    % F
    c8)-^\ff\! r r4 r2 | R1*5 |
    r2 \repeat tremolo 16 { g32(\<^\markup { \italic trem. } } |
    \repeat tremolo 16 { g)\mf\!\> } r2\! |

    % G
    R1*2 | r1\fermata |
}
cymbalMusic = \relative c {
    R1*4 | R2 |

    % A-B
    R1*7 | r2 e:32\pp\<^\markup { \italic trem. } |

    % C-E
    R1\! | R1*12 | e2:32\ff\<^\markup { \italic trem. } |

    % F-G
    R1\! | R1*9 | r1\fermata |
}

pianoRHMusic = \relative c''' {
    \clef "treble^8"
    cis8\arpeggio d e8. a,16 b\arpeggio a~ a8~ a4 |
    cis8\arpeggio d e8. a,16 \times 2/3 { b2\arpeggio a8 b } |
    d8.\arpeggio a16 f8 d' \times 2/3 { cis2 a8 b } |
    e8\arpeggio d e a g4 d | R2 |

    % A
    cis8 d e a, b a~ a4 | cis8 d e a, b4 a8 b |
    <d f,> a f d' <cis e,>4 a8 b | e d e a g4 <d b> |

    % B
    \clef treble
    #(define afterGraceFraction (cons 7 8))
    cis,8 d e a, b a~ a4 | cis8 d e a, \afterGrace b4 { cis16[ b] } a8 b |
    \acciaccatura cis16 d8 a f d' cis4 a8 b |
    \acciaccatura d16 e8[ d] \stemUp e[ a] g4 <d b> \stemNeutral |

    % C
    <cis a> <cis a>32 <d b> <cis e>16 <a e> <e b'> <a e>8. b32 a <gis e>8 e |
    <a e> b <cis a>8. d16 <cis a>8. <b e,> <cis a>16 <b e,> |
    <a f>4 <f d>8 <b d> <a cis> <e cis> <fis b d> <e a cis> |
    <e' c a>4 <e c a>16 <d b a> <e c a> <f c> <g d b>4. r8 |

    % D
    \clef "treble^8"
    <cis a>4 <cis a>32 <d b> <e cis>16 <a, e> <e b'>
        <a e>8. b32 a <gis e>8 e |
    <a e> b <cis a>8. d16 <cis a>8. <b e,> <cis a>16 <b e,> |
    <a f>4 <f d>8 <d' b> <cis a> <e, cis> <d' b fis> <cis a e> |
    <e c a>4 <e c a>16 <d b a> <e c a> <f c> <g d b>4 \grace { c16[ d] } g4 |

    % E
    <cis,, a>4 <cis a>32 <d b> <e cis>16 <a, e> <e b'>
        <a e>8. b32 a <gis e>8 e |
    <a e> b <cis a>8. d16 <cis a>8. <b e,> <cis a>16 <b e,> |
    <a f>4 <f d>8 <d' b> <b g>4 <g d>8 <b g> |
    <a f>4 <f d>8 <d' b> <b g>4 <c g e>8 <d b g> |
    <ees c aes>4 <ees c aes>16 <d bes> <ees c> <f d bes>
        <g d c>4 <ees c aes>8 <f d bes> |
    \ottava #-1 <g,, d c>8 \ottava #0 <g' d c> <g' d c> <g, d b> |

    % F
    <e e'> <f f'> <g g'> <c c,> <d d,> <c c,> <g d b>4 |
    <e e'>8 <f f'> <g g'> <c c,> <d d,>4 <c c,>8 <d d,> |
    <f f,> <c c,> <aes c,> <f' f,> <e e,>4 <c c,>8 <d d,> |
    <f f,> <c c,> <aes c,> <f' f,> <e e,>4 <c c,>8 <d d,> |
    <f f,> <c c,> <aes aes,>4
        <ees' c ees,>8 <d bes d,> <c aes c,> <bes d, bes> |
    <g c, e,>4\arpeggio e32 f g16 c, d c8. d32 c b8 g |
    c d e8. f16 <e c a f>2 | <d b g d> r2 |

    % G
    r2 \stemUp e'8\arpeggio f g\arpeggio c, |
    d4\arpeggio c8\arpeggio d f\arpeggio e c g' |
    \change Staff = "down" <c,,, e,>1\arpeggio\fermata |
} \addQuote "pianoRH" { \pianoRHMusic }
pianoDynamics = {
    %hack to nudge these to the right a little
    \override DynamicText #'X-offset = #0
    s1*3\mp| s2 s\p | s |

    % A
    s1*3\mf | s2 s\p |

    % B
    s1*4\mf |

    % C
    s1*4\f |

    % D-E
    s1*7\p | s1*2\< | s2\!\f |

    % F
    s1*4\ff | s2 s\> | s1*3\!\mp |

    % G
    s2 s\p | s1*2 |
}
pianoLHMusic = \relative c'' {
    \clef treble
    <a e'>2\arpeggio <gis e'>\arpeggio |
    <g e'>\arpeggio <fis d'>\arpeggio |
    <f a e'>\arpeggio <e a e'> |
    <f a d>\arpeggio <g b d e> | R2 |

    % A
    a,16 e' a8~ a4 gis,16 e' b' e~ e4 |
    g,,16 e' a8 cis4 fis,,16 d' a' e'~ e4 |
    f,,16 d' a'8~ a4 e,16 cis' a'8~ a4 |
    f,16 d' a'8 <b e>4 << <g d' g>2 \\ {c4 b8 \clef bass g,,} >> |

    % B
    a16 e' a8 e'4 gis,,16 e' b' <e gis>~ <e gis>4 |
    g,,16 e' a8 cis4 fis,,16 d' a' <b e>~ <b e>4 |
    f,16 d' a' e' d4 e,,16 cis' a' d cis4 |
    f,,16[ d' a'8] \change Staff = "up" \stemDown <e' a b>4
    \change Staff = "down" \stemNeutral \acciaccatura <g, g,>16
    \change Staff = "up" \stemDown <d' g c>4 <d g>8 \stemNeutral
    \change Staff = "down" <g, g,>16 <g, g,> |

    % C
    <a a,> e' a b e8 e,16 a, <gis gis,> e' gis b~ b8. gis,16 |
    <g g,> e' a b e8 a,16 e <fis, fis,> d' e a~ a4 |
    <f, f,>16 c' e a~ a8 d,16 f, <e e,> a e' a b a e a, |
    <f f,>8 c' <a' d e>4 <g, g,>4. r8 |

    % D
    a'2 gis | g fis | f e | f g4. d16 g, |

    % E
    a e' b' cis~ cis8. a,16 gis e' b' e~ e4 |
    g,,16 e' a e d'8. g,,16 fis d' e a~ a4 |
    f,16 c' g' c, a' c, f f, e b' fis' b, g' b, e e, |
    f c' g' c, a' c, f f, e b' fis' b, g' b, e e, |
    f c' g' aes ees' aes, g c, aes ees' bes' c g' c, bes ees, |
    % hnnnnnnngggggg
    #(define afterGraceFraction (cons 3 4))
    <g g,>8 <g, g,> r
        \afterGrace <g g,> { \stemDown d'64 \stemUp g[ b d] \stemDown
        \change Staff = "up" g[ b] } \change Staff = "down" \stemNeutral |

    % F
    #(define afterGraceFraction (cons 5 8))
    <c,,, c'>8 <c' g' c>\arpeggio <e' g c>\arpeggio r <b, b,> <d g b>
        \afterGrace <g d'>4 { \stemDown g'64 \stemUp \change Staff = "up"
        b[ d g] \stemDown b[ d g b g d b] \stemUp g[ d b g] }
        \change Staff = "down" \stemNeutral |
    <bes,, bes,>8 <c g' c>\arpeggio <e' g c>\arpeggio r
        <a,, a,>16 \times 2/3 { c32 f g } <c f g c>8\arpeggio c d |
    \acciaccatura <aes, aes,>16 <aes' c f>8 <g f c> <c f aes> r
        <d g, e> b <c e,> r |
    \acciaccatura <f,, f,>16 <aes' c f>8 <g f c> <c f aes> r
        <d g, e> b <c e,> r |
    \acciaccatura <d, d,>16 <aes' c f>8 <c f g> <aes c f> r
        \acciaccatura <f f,>16 <c' ees aes>2 |
    <g e g,> e'4 d8 c |
    <g d' e g> f' g r <f, g,>2 |
    <g g,> r |

    % G
    r2 \change Staff = "up" \stemDown <g'' c,>4\arpeggio <g b,>\arpeggio |
    <g bes,>\arpeggio <f a,>\arpeggio <f aes,>8\arpeggio g aes aes |
    \change Staff = "down" <g,,, c,>1\arpeggio_\fermata |
}
pianoPedal = {
    s2\sustainOn s\sustainOff\sustainOn |
    \repeat unfold 3 { s\sustainOff\sustainOn s\sustainOff\sustainOn | }
    s |

    % A
    \repeat unfold 3 { s2\sustainOff\sustainOn s\sustainOff\sustainOn | }
    s\sustainOff\sustainOn s4\sustainOff\sustainOn s\sustainOff\sustainOn |

    % B-C
    \repeat unfold 7 { s2\sustainOff\sustainOn s\sustainOff\sustainOn | }
    s\sustainOff\sustainOn s4.\sustainOff\sustainOn s8\sustainOff |

    % D-E
    s2\sustainOn s\sustainOff\sustainOn |
    \repeat unfold 8 { s\sustainOff\sustainOn s\sustainOff\sustainOn | }
    s4.\sustainOff\sustainOn s8\sustainOff\sustainOn |

    % F
    \repeat unfold 5 { s2\sustainOff\sustainOn s\sustainOff\sustainOn | }
    s1\sustainOff\sustainOn |
    s2\sustainOff\sustainOn s\sustainOff\sustainOn |
    s\sustainOff\sustainOn s\sustainOff |

    % G
    s2 s4\sustainOn s\sustainOff\sustainOn |
    s\sustainOff\sustainOn s\sustainOff\sustainOn s2\sustainOff\sustainOn |
    s1 |
}

violinIMusic = \relative c'' {
    R1*3 | r2 e2\pp~( | e2~ |

    % A
    e1~ | e1 | d2 cis | e2.) r4 |

    % B
    R1*4 |

    % C
    e,1\mf~( | e2 d | <e a>1~ | <e a>2 <d g>) |

    % D-E
    R1*9 | R2 |

    % F
    e'8\p( f g c, d c~ c4) | e8( f g c, d4) c8( d |
    f c aes f' e4) c8( d | f c aes f' e4) r |
    R1 |
    g,1\pp( | c8\p d e8. f16 <e c>2 | <d b>) r |

    % G
    %hack: nudge dynamic to the right a little
    \override DynamicText #'X-offset = #0
    c'1\pp~ | c1 | r1\fermata |
}
violinIIMusic = \relative c'' {
    R1*3 | r2 e2\pp~( | e2~ |

    % A
    e1~ | e1 | d2 cis | e2.) r4 |

    % B
    R1*4 |

    % C
    b,1\mf( | cis2 a | d cis | d b) |

    % D-E
    R1*9 | R2 |

    % F
    c'\p( g | c a4 f~ | f d g2~ | g4 d4 g2) |
    R1 | d1\pp( | e8\p f g8. a16~ <a f>2 | <g d>) r |

    % G
    %hack: nudge dynamic to the right a little
    \override DynamicText #'X-offset = #0
    c1\pp~ | c | r1\fermata |
}
violaMusic = \relative c' {
    \clef alto
    R1*3 | r2 e2\pp~( | e2~ |

    % A
    e1~ | e2 a~ | a e | a2.) r4 |

    % B
    R1*4 |

    % C
    a,2\mf( gis | a fis | a1~ | a2 g) |

    % D-E
    R1*9 | R2 |

    % F
    e'8\p( f g c, d c~ c4) | e8( f g c, d4) c8( d |
    f c aes f' e4) c8( d | f c aes f' e4) r |
    R1 | c1\pp~( | c2 a | b) r |

    % G
    R1*2 | c1\fermata |
}
celloMusic = \relative c {
    \clef bass
    R1*4 | R2 |

    % A-B
    R1*8 |

    % C
    e1\mf~( | e2 d | e1~ | e2 d) |

    % D-E
    R1*9 | R2 |

    % F
    << { c'2^\pp( b4 d, | c' e c2~ | c d8 b c4~ | c2 d8 b c4) | } \\
        { g4_\pp( e g2~ | g f | aes8 g f4 g e | aes8 g f4 g2) | } >>
    R1 | e1( | g2 f | g) r2 |

    % G
    R1*2 | <e g,>1\fermata |
}
bassMusic = \relative c {
    \clef "bass_8"
    R1*4 | R2 |

    % A-B
    R1*8 |

    % C
    a2\mf( gis | g fis | f e | f g) |

    % D-E
    R1*9 | R2 |

    % F
    <c c,>\p( <b b,> | <bes bes,> <a a,> | <aes aes,> <g g,> | <f f,> <e e,>) |
    R1 | g1\pp~( | g2~ <g g,>~ | <g g,>) r |

    % G
    R1*2 | c,1\fermata |
}

\header {
    title = "Alternia"
    subtitle = \markup { "Based on “Theme” from " \italic "Alternia" }
    composer = "Toby “Radiation” Fox"
    arranger = "Seth “Beatfox” Peelle"
    copyright = "© 2011 What Pumpkin. All rights reserved."
}
\pointAndClickOff
#(set-global-staff-size 17)
\book {
    \score { <<
        \new StaffGroup = "StaffGroup_woodwinds" <<
            \new Staff = "Staff_irishlowwhistle" {
                \set Staff.instrumentName = #"Irish Low Whistle"
                \set Staff.shortInstrumentName = #"Wh."
                << \whistleMusic \global >>
            }
        >>
        \new StaffGroup = "StaffGroup_timpani" <<
            \new Staff = "Staff_timpani" {
                \set Staff.instrumentName = #"Timpani"
                \set Staff.shortInstrumentName = #"Timp."
                << \timpaniMusic \global >>
            }
        >>
        \new RhythmicStaff = "Staff_cymbal" {
            \set RhythmicStaff.instrumentName = #"Cymbal"
            \set RhythmicStaff.shortInstrumentName = #"Cym."
            %this next line is a hack to make these rests hang like they oughter
            \override MultiMeasureRest #'staff-position = #0.01
            << \cymbalMusic \global >>
        }
        \new PianoStaff <<
            \set PianoStaff.instrumentName = #"Piano"
            \set PianoStaff.shortInstrumentName = #"Pf."
            \set PianoStaff.connectArpeggios = ##t
            \new Staff = "up" << \pianoRHMusic \global >>
            \new Dynamics { \pianoDynamics }
            \new Staff = "down" << \pianoLHMusic \global >>
            \new Dynamics {
                \set Dynamics.pedalSustainStyle = #'bracket
                \pianoPedal
            }
        >>
        \new StaffGroup = "StaffGroup_strings" <<
            \new GrandStaff = "GrandStaff_violins" <<
                \new Staff = "Staff_violinI" {
                    \set Staff.instrumentName = #"Violin I"
                    \set Staff.shortInstrumentName = #"V. I"
                    << \violinIMusic \global >>
                }
                \new Staff = "Staff_violinII" {
                    \set Staff.instrumentName = #"Violin II"
                    \set Staff.shortInstrumentName = #"V. II"
                    << \violinIIMusic \global >>
                }
            >>
            \new Staff = "Staff_viola" {
                \set Staff.instrumentName = #"Viola"
                \set Staff.shortInstrumentName = #"Va."
                << \violaMusic \global >>
            }
            \new Staff = "Staff_cello" {
                \set Staff.instrumentName = #"Cello"
                \set Staff.shortInstrumentName = #"Vc."
                << \celloMusic \global >>
            }
            \new Staff = "Staff_bass" {
                \set Staff.instrumentName = #"Bass"
                \set Staff.shortInstrumentName = #"Cb."
                << \bassMusic \global >>
            }
        >>
    >>
        \header { }
    }
    \paper {
        ragged-bottom = ##t
    }
}
#(set-global-staff-size 20)
\book {
    \score {
        \new Staff {
            \set Score.skipBars = ##t
            << \whistleMusic \global >>
        }
        \header {
            instrument = "Irish Low Whistle"
        }
    }
}
\book {
    \score {
        \new Staff {
            \set Score.skipBars = ##t
            << \timpaniMusic \global >>
        }
        \header {
            instrument = "Timpani"
        }
    }
}
\book {
    \score {
        \new RhythmicStaff {
            \set Score.skipBars = ##t
            << \cymbalMusic \global >>
        }
        \header {
            instrument = "Cymbal"
        }
    }
}
\book {
    \score {
        \new PianoStaff <<
            \set Score.skipBars = ##t
            \set PianoStaff.connectArpeggios = ##t
            \new Staff = "up" << \pianoRHMusic \global >>
            \new Dynamics { \pianoDynamics }
            \new Staff = "down" << \pianoLHMusic \global >>
            \new Dynamics {
                \set Dynamics.pedalSustainStyle = #'bracket
                \pianoPedal
            }
        >>
        \header {
            instrument = "Piano"
        }
    }
}
\book {
    \score {
        \new Staff {
            \set Score.skipBars = ##t
            << \violinIMusic \global >>
        }
        \header {
            instrument = "Violin I"
        }
    }
}
\book {
    \score {
        \new Staff {
            \set Score.skipBars = ##t
            << \violinIIMusic \global >>
        }
        \header {
            instrument = "Violin II"
        }
    }
}
\book {
    \score {
        \new Staff {
            \set Score.skipBars = ##t
            << \violaMusic \global >>
        }
        \header {
            instrument = "Viola"
        }
    }
}
\book {
    \score {
        \new Staff {
            \set Score.skipBars = ##t
            << \celloMusic \global >>
        }
        \header {
            instrument = "Cello"
        }
    }
}
\book {
    \score {
        \new Staff {
            \set Score.skipBars = ##t
            << \bassMusic \global >>
        }
        \header {
            instrument = "Bass"
        }
    }
}

\version "2.13.61"
